Bug 476937 - new kernel breaks ATI video card 3D and hardware acceleration
new kernel breaks ATI video card 3D and hardware acceleration
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-17 23:03 EST by brianchad@westnet.com.au
Modified: 2009-02-15 06:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-15 04:24:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description brianchad@westnet.com.au 2008-12-17 23:03:23 EST
Description of problem: ATI X1650 Video Card does not work in 3D with no acceleration and glxinfo reports using software rasteriser. Reverting to previous kernel and both drivers work in 3D with hardware acceleration.


Version-Release number of selected component (if applicable):

3D does NOT work with kernel-2.6.27.7-134.fc10.i686

3D does work with kernel kernel-2.6.27.5-117.fc10.i686

using "nomodeset" makes no difference


How reproducible:

consistently.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 François Cami 2009-02-05 19:40:35 EST
Brian,
Could you please post both :
dmesg and Xorg.0.log from 2.6.27.5-117
dmesg and Xorg.0.log from 2.6.27.7-134
All four as uncompressed text attachments to that bug.
Does this still happen with 2.6.27.12-170.2.5.fc10 ?
Thanks
Comment 2 brianchad@westnet.com.au 2009-02-15 00:49:08 EST
Hi,

I dont have the older kernels anymore so I cant post those outputs.

However, for interest, with the latest kernel ((2.6.27.12-170.2.5.fc10.i686)), and latest xorg-ati driver (xorg-x11-drv-ati-6.10.0-2.fc10.i386) that everything works, except for one noticeable aspect.

starting with "nomodeset", X is snappy in 2D (metacity) and 3D (compiz).

starting with "quiet rhgb", the pretty voot screen comes up, but X is a tad laggy in 2D, and very laggy in 3D. 

Clearly kernel modesetting is interfering here somehow.
Comment 3 François Cami 2009-02-15 04:24:05 EST
Brian,

Thanks for letting us know.
As for the performance aspect of things, you might want to join a happy band at bug 470346 for instance. 

This particular bug was fixed and a update package was published for download. Please feel free to report any further bugs you find.

You can obtain the updated package by typing 'yum update <package>' or using the
graphical updater, Software Update.

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 brianchad@westnet.com.au 2009-02-15 06:42:26 EST
well, i am FULLY up to date (F10) ... maybe its the particular graphics chipset or something, but it still manifests itself as i reported.

Radeon X1650
kernel-2.6.27.12-170.2.5.fc10.i686
xorg-x11-drv-ati-6.10.0-2.fc10.i386

Note You need to log in before you can comment on or make changes to this bug.